Name:           scsi-target-utils
Version:        1.0.8
Release:        0%{?dist}
Summary:        The SCSI target daemon and utility programs

Group:          System Environment/Daemons
License:        GPLv2
URL:            http://stgt.sourceforge.net/
Source0:        http://stgt.sourceforge.net/releases/tgt-1.0.8.tar.gz
Source1:        tgtd.init
Source2:        sysconfig.tgtd
Source3:        targets.conf
# Add Red Hat specific info to docs.
Patch0:         scsi-target-utils-redhatify-docs.patch
# Allow user to use tgtd with or without iser without having to recompile.
Patch1:         scsi-target-utils-dynamic-link-iser.patch
# Workaround for missing __NR_eventfd on archs that do not support it.
Patch2:         scsi-target-utils-hack-check-for-eventfd.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig libibverbs-devel librdmacm-devel
Requires:       /sbin/chkconfig  /sbin/service
ExcludeArch:	s390 s390x

%description
The SCSI target package contains the daemon and tools to setup a SCSI targets.
Currently, software iSCSI targets are supported.

%prep
%setup -q -n tgt-1.0.8
%patch0 -p1 -b .redhatify-docs
%patch1 -p1 -b .dynamic-link-iser
%patch2 -p1 -b .hack-check-for-eventfd

%build
pushd usr
%{__sed} -i -e 's|-Wall -g -O2|%{optflags}|' Makefile
%{__make} %{?_smp_mflags} ISCSI=1 ISCSI_RDMA=1

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_sbindir}
%{__install} -d %{buildroot}%{_mandir}/man8
%{__install} -d %{buildroot}%{_initrddir}
%{__install} -d %{buildroot}/etc/tgt
%{__install} -d %{buildroot}/etc/sysconfig

%{__install} -p -m 0755 scripts/tgt-admin %{buildroot}%{_sbindir}
%{__install} -p -m 0755 scripts/tgt-setup-lun %{buildroot}%{_sbindir}
%{__install} -p -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/tgtd
%{__install} -p -m 0644 doc/manpages/tgtadm.8 %{buildroot}/%{_mandir}/man8
%{__install} -p -m 0644 doc/manpages/tgt-admin.8 %{buildroot}/%{_mandir}/man8
%{__install} -p -m 0644 doc/manpages/tgt-setup-lun.8 %{buildroot}/%{_mandir}/man8
%{__install} -p -m 0600 %{SOURCE2} %{buildroot}/etc/sysconfig/tgtd
%{__install} -p -m 0600 %{SOURCE3} %{buildroot}/etc/tgt

pushd usr
%{__make} install DESTDIR=%{buildroot} sbindir=%{_sbindir}

%post
/sbin/chkconfig --add tgtd

%postun
if [ "$1" = "1" ] ; then
     /sbin/service tgtd condrestart > /dev/null 2>&1
fi

%preun
if [ "$1" = "0" ] ; then
     /sbin/chkconfig tgtd stop > /dev/null 2>&1
     /sbin/chkconfig --del tgtd
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc README doc/README.iscsi doc/README.iser doc/README.lu_configuration doc/README.mmc
%{_sbindir}/tgtd
%{_sbindir}/tgtadm
%{_sbindir}/tgtimg
%{_sbindir}/tgt-admin
%{_sbindir}/tgt-setup-lun
%{_mandir}/man8/*
%{_initrddir}/tgtd
%attr(0600,root,root) %config(noreplace) /etc/sysconfig/tgtd
%attr(0600,root,root) %config(noreplace) /etc/tgt/targets.conf

%changelog
* Thu Aug 16 2010 Mike Christie <mchristie@redhat.com> - 1.0.8
- 627053 Add iSNS targets.conf support and sync to upstream 1.0.8.

* Sun Jun 27 2010 Mike Christie <mchristie@redhat.com> - 0.0-8.20091205snap
- Fix buffer overflow in isns scn handling (CVE-2010-2221)

* Thu Apr 8 2010 Mike Christie <mchristie@redhat.com> - 0.0-7.20091205snap
- 576359 Fix format string vulnerability  (CVE-2010-0743)

* Sat Dec 5 2009 Mike Christie <mchristie@redhat.com> - 0.0-6.20091205snap
- Rebase to latest upstream snapshot from Dec 5th 2009 (git id
97832d8dcd00202a493290b5d134b581ce20885c)
- 511002 fix segfault when running tgtadm --mode connection --op delete
- 513241 fix tgtd crash under load
- 531041 fix tgt segfault on 31st target creation 

* Mon Aug 4 2008 Mike Christie <mchristie@redhat.com> - 0.0-5.20080917snap
- Rebase to latest upstream snapshot to include tgt-admin and static config.
- When doing a "tgtd stop" kill running targets if run level indicates
system is shutting down or restarting.

* Sun Feb 10 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.0-4.20071227snap
- update to 20071227 snapshot
- add patch to compile with newer glibc

* Sat Feb  9 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.0-3.20070803snap
- rebuild

* Sun Dec 07 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> - 0.0-2.20070803snap
- Rebuild for new openssl soname bump

* Wed Sep 26 2007 Terje Rosten <terje.rosten@ntnu.no> - 0.0-1.20070803snap
- random cleanup

* Wed Sep 26 2007 Terje Rosten <terje.rosten@ntnu.no> - 0.0-0.20070803snap
- update to 20070803
- fix license tag
- use date macro
- build with correct flags (%%optflags)

* Tue Jul 10 2007 Mike Christie <mchristie@redhat.com> - 0.0-0.20070620snap
- first build
